library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

library work;
use work.riscv_types.all;

entity PC is

  port (clk       : in  std_logic;
        en_pc     : in  one_bit;
        addr_calc : in  ram_addr_t;         -- From ALU
        doJump    : in  one_bit;
        addr      : out ram_addr_t);

end PC;
